com.fasterxml.jackson.databind.util

## Class LinkedNode<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.LinkedNode<T>

Type Parameters:
  `T` - Type of contained object

    public final class LinkedNode<T>
    extends Object

Node of a forward-only linked list.

Author:
  tatu

### Constructor Summary

Constructors
Constructor and Description
`LinkedNode(T value, LinkedNode<T> next)`

### Method Summary

Methods
`static <ST> boolean` `contains(LinkedNode<ST> node, ST value)` Convenience method that can be used to check if a linked list with given head node (which may be null to indicate empty list) contains given value
`LinkedNode<T>` `next()`
`T` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkedNode

    public LinkedNode(T value,
              LinkedNode<T> next)

### Method Detail

#### next

    public LinkedNode<T> next()

#### value

    public T value()

#### contains

    public static <ST> boolean contains(LinkedNode<ST> node,
                        ST value)

Convenience method that can be used to check if a linked list with given head node (which may be null to indicate empty list) contains given value

Type Parameters:
  `ST` - Type argument that defines contents of the linked list parameter
Parameters:
  `node` - Head node of the linked list
  `value` - Value to look for
Returns:
  True if linked list contains the value, false otherwise